aboutsummaryrefslogtreecommitdiffstats
path: root/config
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2025-02-21 01:21:10 +0900
committerJaKooLit <ejhay.games@gmail.com>2025-02-21 01:21:10 +0900
commit4fee6c130280ecdd97ace82250c6ecd4b382a625 (patch)
treebdfc9790690098bd65d7d5bbd8ea868a2d3f1818 /config
parent9464046bd18695b673c2504eede53556687e50a8 (diff)
updated quickedit in preparation of adding nwg-displays
Diffstat (limited to 'config')
-rwxr-xr-xconfig/hypr/UserScripts/QuickEdit.sh18
-rw-r--r--config/rofi/config-wallpaper-effect.rasi2
2 files changed, 14 insertions, 6 deletions
diff --git a/config/hypr/UserScripts/QuickEdit.sh b/config/hypr/UserScripts/QuickEdit.sh
index 618ed002..2964ef3d 100755
--- a/config/hypr/UserScripts/QuickEdit.sh
+++ b/config/hypr/UserScripts/QuickEdit.sh
@@ -6,11 +6,12 @@
edit=${EDITOR:-nano}
tty=kitty
-# Paths to configuration directories
+# variables
configs="$HOME/.config/hypr/configs"
UserConfigs="$HOME/.config/hypr/UserConfigs"
rofi_theme="~/.config/rofi/config-edit.rasi"
msg=' ⁉️ Choose which config to View or Edit ⁉️'
+iDIR="$HOME/.config/swaync/images"
# Function to display the menu options
menu() {
@@ -44,8 +45,16 @@ main() {
7) file="$UserConfigs/UserAnimations.conf" ;;
8) file="$UserConfigs/Laptops.conf" ;;
9) file="$configs/Keybinds.conf" ;;
- 10) nwg-displays ;;
- 11) nwg-displays ;;
+ 10) if ! command -v nwg-displays &>/dev/null; then
+ notify-send -i "$iDIR/ja.png" "Missing nwg-displays" "Install nwg-displays first"
+ exit 1
+ fi
+ nwg-displays ;;
+ 11) if ! command -v nwg-displays &>/dev/null; then
+ notify-send -i "$iDIR/ja.png" "Missing nwg-displays" "Install nwg-displays first"
+ exit 1
+ fi
+ nwg-displays ;;
*) return ;; # Do nothing for invalid choices
esac
@@ -60,5 +69,4 @@ if pidof rofi > /dev/null; then
pkill rofi
fi
-main
-
+main \ No newline at end of file
diff --git a/config/rofi/config-wallpaper-effect.rasi b/config/rofi/config-wallpaper-effect.rasi
index 6b5dece2..0909bae4 100644
--- a/config/rofi/config-wallpaper-effect.rasi
+++ b/config/rofi/config-wallpaper-effect.rasi
@@ -12,8 +12,8 @@ mainbox {
/* ---- Entry ---- */
entry {
- width: 32%;
placeholder: " 🏙️ Search / Choose desired wallpaper effect";
+ padding: 12px;
}
/* ---- Window ---- */
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage